Last Comment Bug 657214 - The Composer status bar doesn't display the correct status.
: The Composer status bar doesn't display the correct status.
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Composer (show other bugs)
: Trunk
: All All
: -- major with 1 vote (vote)
: seamonkey2.2
Assigned To: Ian Neal
:
Mentors:
: 665265 (view as bug list)
Depends on:
Blocks: 639716
  Show dependency treegraph
 
Reported: 2011-05-15 07:23 PDT by Xindong Su
Modified: 2011-08-03 22:38 PDT (History)
4 users (show)
iann_bugzilla: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Move to correct commandset [Checked in trunk/aurora/beta: Comment 11] (1.34 KB, patch)
2011-06-19 17:10 PDT, Ian Neal
neil: review+
kairo: approval‑comm‑aurora+
kairo: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Xindong Su 2011-05-15 07:23:27 PDT
User-Agent:       Mozilla/5.0 (Windows NT 5.2; rv:2.0.1) Gecko/20110511 Firefox/4.0.1 SeaMonkey/2.1
Build Identifier: Mozilla/5.0 (Windows NT 5.2; rv:2.0.1) Gecko/20110511 Firefox/4.0.1 SeaMonkey/2.1

1. use composer to open any html file/url. No matter where you click on the page, the status bar always and only shows "<body>".

2. locate the cursor into some structure of the page, like a table. Switch to "source edit" mode then switch back to "Normal" mode, the status bar shows the right html tags of the cursor location. But the content of the status bar won't update when you move the cursor.


Reproducible: Always

Steps to Reproduce:
see the bug details.


Expected Results:  
the status bar should work like before.
Comment 1 Wolfgang Germund 2011-06-17 08:12:16 PDT
Hi 
I have the same behavior.

I have found a part of the Problem:

The command cmd_updateStructToolbar is transfered from commandset composerStyleMenuItems in editorOverlay.xul to editorCommands in editor.xul

When i changed the focus only the command update from all composerStyleMenuItems commands are triggered. 

I don't find the source of this trigger.
Comment 2 Philip Chee 2011-06-19 11:22:48 PDT
cc IanN on the assumption that his refactoring caused this.
Comment 3 neil@parkwaycc.co.uk 2011-06-19 11:36:33 PDT
cmd_updateStructToolbar belongs in composerStyleMenuItems but it got put into composerOnlyMenuItems by mistake...
Comment 4 Ian Neal 2011-06-19 17:10:49 PDT
Created attachment 540364 [details] [diff] [review]
Move to correct commandset [Checked in trunk/aurora/beta: Comment 11]
Comment 5 Wolfgang Germund 2011-06-20 00:36:32 PDT
I have determined where the command is triggered.

composerStyleMenuItems has the events="create, style, mode_switch"
composerOnlyMenuItems  has only events="create, mode_switch"

There are two options:
1. like comment 4 
   move cmd_updateStructToolbar back to composerStyleMenuItems

2. use the patch below

diff -r a4ca77b7517a editor/ui/composer/content/editor.xul
--- a/editor/ui/composer/content/editor.xul     Sun Jun 19 00:39:30 2011 -0400
+++ b/editor/ui/composer/content/editor.xul     Sun Jun 19 15:31:00 2011 +0200
@@ -100,7 +100,7 @@
     <commandset id="composerMenuItems"/>
     <commandset id="composerOnlyMenuItems"
                 commandupdater="true"
-                events="create, mode_switch"
+                events="create, style, mode_switch"
                 oncommandupdate="goUpdateComposerMenuItems(this);">
       <!-- file menu -->
       <command id="cmd_exportToText"
Comment 6 Wolfgang Germund 2011-06-20 00:42:54 PDT
Have a look at bug 665265 
I think it is duplicate to this.
Comment 7 Ian Neal 2011-06-20 01:17:22 PDT
*** Bug 665265 has been marked as a duplicate of this bug. ***
Comment 8 Wolfgang Germund 2011-06-22 02:27:51 PDT
Now I understand how your patch works.
My patch in commant 5 is obsolete.
Comment 9 neil@parkwaycc.co.uk 2011-06-22 05:38:55 PDT
Comment on attachment 540364 [details] [diff] [review]
Move to correct commandset [Checked in trunk/aurora/beta: Comment 11]

[what does hg diff think it's doing?]
Comment 10 Ian Neal 2011-06-22 10:00:28 PDT
Comment on attachment 540364 [details] [diff] [review]
Move to correct commandset [Checked in trunk/aurora/beta: Comment 11]

Would be good to get this simple regression fix into both aurora and beta.

Note You need to log in before you can comment on or make changes to this bug.